Bug 6001 - The examples for vfs_recycle (8) is invalid
The examples for vfs_recycle (8) is invalid
Status: RESOLVED FIXED
Product: Samba 3.2
Classification: Unclassified
Component: Docs
3.2.6
All All
: P3 trivial
: ---
Assigned To: Samba Bugzilla Account
Samba Documentation QA Contact~
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-29 12:26 UTC by TAKAHASHI Motonobu
Modified: 2009-01-06 03:32 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description TAKAHASHI Motonobu 2008-12-29 12:26:13 UTC
In vfs_recycle(8):

-----
EXAMPLES
       Log operations on all shares using the LOCAL1 facility and NOTICE
       priority:

                   [global]
                vfs objects = recycle
                recycle:facility = LOCAL1
                recycle:priority = NOTICE
-----

This is something cut&paste miss :-)
Comment 1 Volker Lendecke 2009-01-01 15:14:19 UTC
excuse my ignorance, but where exactly is the problem?

Volker
Comment 2 TAKAHASHI Motonobu 2009-01-01 20:19:09 UTC
>but where exactly is the problem?

vfs_recycle does not have both facility and priority parameters.
They are vfs_audit/vfs_extd_audit/vfs_full_audit's.

A proper example is :

[share1]
  vfs objects = recycle
  recycle:repository = .trash
  recycle:keeptree  = yes
  recycle:versions  = yes



Comment 3 Karolin Seeger 2009-01-06 03:32:54 UTC
You are obviously correct!

Fixed in master with commit 9f44a17c. Will be in the next releases.

Thanks for reporting!